<?php get_header(); ?>

<?php 
// Get Blog Layout from Theme Options
if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none'){
	$sidebar_pos = get_theme_mod('rima_sidebar_pos', 'sidebar-right').' span9';
} else {
	$sidebar_pos ='span12';
}
if( !is_active_sidebar('blog-widgets') ) {
	$sidebar_pos = 'span12';
}
?>
<div id="page-wrap-blog" class="container">
	<div id="content" class="<?php echo esc_attr($sidebar_pos); ?>">
		<div class="row">
			<?php 
				switch ( get_theme_mod('rima_search_page_layout', 'recent_posts') ) {
					case 'grid_posts':
						get_template_part('templates/search/grid-posts');
						break;
					case 'list_posts':
						get_template_part('templates/search/list-posts');
						break;
					default:
						get_template_part('templates/search/recent-posts');
						break;
				}
			?>
		</div>
	</div>

<?php if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none'){
		get_sidebar();
	} 
?>
</div>

<?php get_footer(); ?>
