<?php get_header(); ?>

<?php 
	$post_layout = rwmb_meta( 'rima_post_layout' );
	if(is_array($post_layout)){
		$post_layout = '';
	}
	if( $post_layout == 'default'){
		$post_layout = get_theme_mod( 'rima_single_post_layout', 'default' );
	}
	
	switch ($post_layout) {
		case 'nosidebar':
			get_template_part('templates/posts/single/nosidebar');
			break;
		case 'sideimage':
			get_template_part('templates/posts/single/sideimage');
			break;
		case 'wide':
			get_template_part('templates/posts/single/wide');
			break;
		case 'fullwidth':
			get_template_part('templates/posts/single/fullwidth');
			break;
		case 'fullwidth-alt':
			get_template_part('templates/posts/single/fullwidth-alt');
			break;
		default:
			get_template_part('templates/posts/single/default');
			break;
	}
?>

<?php get_footer(); ?>
