<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12'); ?>>
	<div class="post-content-container aligncenter">
		<?php 
			if( has_post_thumbnail() && function_exists('rima_get_post_format_content') ) { 
				echo '<div class="post-img-side alignleft">'.rima_get_post_format_content(false, 'medium').'</div>'; 
			} elseif(has_post_thumbnail()){
				echo '<div class="post-img-side alignleft">'.get_the_post_thumbnail('medium').'</div>';
			}
			?>
		<div class="extra-wrap">
			<header class="title">
				<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'rima'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			</header>
			<?php if( !rwmb_meta( 'rima_display_post_header') ){ ?>
				<div class="post-meta">
					<div class="meta-date"><time datetime="<?php echo date(DATE_W3C); ?>"><?php the_time(get_option('date_format')); ?></time></div>
					<div class="categories"><?php echo get_the_category_list(' '); ?></div>
				</div>
			<?php } ?>
			<div class="post-content">
				<div class="post-excerpt"><?php echo rima_excerpt( get_theme_mod('rima_archive_excerpt_count','17') ); ?></div>
			</div>
			<?php if( !rwmb_meta( 'rima_display_post_footer') ){ ?>
				<div class="post-meta footer-meta">
					<?php if( comments_open() ){ ?>
						<div class="meta-comment"><?php echo rima_comments_number( get_the_ID() ); ?></div>
					<?php } ?>
					<?php if(function_exists('RimaSharebox')){ ?>
						<div class="meta-sharebox"><i class="la la-share-alt"></i>
							<?php RimaSharebox(get_the_ID(), true); ?>
						</div>
					<?php } ?>
				</div>
			<?php } ?>
		</div>
	</div>
</article>