<?php
	    global $post;
	    $post_style = get_theme_mod('rima_blog_post_style', 'style_1');
	    $pagination = get_theme_mod('rima_blog_display_post_pagination', 'standard');
	    $display_comments = get_theme_mod('rima_display_post_comments', 'true');
	    $show_categories = get_theme_mod('rima_display_post_categories', 'true');
	    $show_timeread = get_theme_mod('rima_display_post_readtime', 'true');
	    $display_sharebox = get_theme_mod('rima_display_post_sharebox', 'true');
	    $show_readmore = get_theme_mod('rima_display_post_readmore', 'true');
	    $excerpt_count = get_theme_mod('rima_blog_excerpt_count', '32');
	    $thumbsize = get_theme_mod('rima_blog_page_thumbsize', 'post-thumbnail');
	    $post_info = 'date_categories';
	    $text_align = '';
		$out = '';
		if( have_posts() ) {
			$out .= '<div id="latest-list-posts">';
			while ( have_posts() ) {
				the_post();
				$tmpContent = get_the_content();
				$classes = join(' ', get_post_class($post->ID));
				$classes .= ' post';
				if( is_sticky() ){
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="'.$classes.'">';
						$out .= '<div class="post-content-container aligncenter">';
							if( !rwmb_meta( 'rima_display_post_header') ){
								switch ($post_info) {
									case 'categories':
										$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
										break;
									case 'hide':
										$out .= '';
									default:
										$out .= '<div class="meta-date two-dots"><time datetime="'.date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
										break;
								}
							}
							$out .= '<header class="title">';
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
						
						$out .= '<div class="post-content">';
							if( !rima_post_has_more_link( get_the_ID() ) || get_theme_mod('rima_disable_featured_image_when_readmore', 'false') == 'false' ) {
								$out .= rima_get_post_format_content(false, 'large');
							} else {
								$out .= '<p></p>';
							}
							if( rima_post_has_more_link( get_the_ID() ) ){
								$out .= '<div class="post-excerpt">';
								$out .= rima_get_the_content();
								$out .= '</div>';
							} else {
								$out .= get_the_excerpt();
							}
							$out .= wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>', 'echo' => 0));
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				} elseif(get_theme_mod('rima_display_post_featured', 'true') == 'true' && rwmb_meta('rima_post_featured')){
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="post-featured '.$classes.'">';
						$out .= '<div class="post-content-container aligncenter">';						
						$out .= '<div class="post-content">';
							$out .= '<div class="meta-over-img">';
							if( !rwmb_meta( 'rima_display_post_header') ){
								switch ($post_info) {
									case 'categories':
										$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
										break;
									case 'hide':
										$out .= '';
									default:
										$out .= '<div class="meta-date"><time datetime="'.date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
										break;
								}
							}
							$out .= '<header class="title">';
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
							if( $show_readmore == 'true' ){
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
							}
							$out .= '</div>';
							$images = rwmb_meta( 'rima_gallery_images', 'type=image&size=large');
							if( has_post_thumbnail() ) {
								$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, 'post-thumbnail').'</a></figure>';
							}
							$out .= wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>', 'echo' => 0));
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				} else {
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="'.$classes.'">';
						$out .= '<div class="post-content-container">';
							if( !rima_post_has_more_link( get_the_ID() ) || get_theme_mod('rima_disable_featured_image_when_readmore', 'true') == 'false' ){
								$out .= '<div class="post-img-side alignleft">'.rima_get_post_format_content(false, $thumbsize).'</div>';
							}
							$out .= '<div class="extra-wrap">';
								$out .= '<header class="title">';
								$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
								$out .= '</header>';
							if( !rwmb_meta( 'rima_display_post_header') ){
								switch ($post_info) {
									case 'categories':
										$out .= '<div class="post-meta">';
										$out .= '<div class="categories no-sep">'.get_the_category_list(' ').'</div>';
										$out .= '</div>';
										break;
									case 'date':
										$out .= '<div class="post-meta">';
										$out .= '<div class="meta-date no-sep"><time datetime="'.date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
										$out .= '</div>';
										break;
									case 'hide':
										$out .= '<div class="post-meta"></div>';
										break;
									default:
										$out .= '<div class="post-meta">';
										$out .= '<div class="meta-date"><time datetime="'.date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
										$out .= '<div class="categories">'.get_the_category_list(' ').'</div>';
										$out .= '</div>';
										break;
								}
							}
							$out .= '<div class="post-content">';
							if( rima_post_has_more_link( get_the_ID() ) ){
								$out .= '<div class="post-excerpt">'.rima_get_the_content().'</div>';
							} else {
								$out .= '<div class="post-excerpt">'.RimaExcerpt($excerpt_count).'</div>';
							}
							$out .= wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>', 'echo' => 0));
							$out .= '</div>';
							$out .= '<div class="post-meta footer-meta">';
							if( (comments_open() && $display_comments == 'true') || (function_exists('RimaSharebox') && $display_sharebox == 'true') ){
								$out .= '<div class="footer-comment-share">';
							}
							if( comments_open() && $display_comments == 'true' ){ 
								$out .= '<div class="meta-comment">'.RimaCommentsNumber( get_the_ID() ).'</div>';
							}
							if( function_exists('RimaSharebox') && $display_sharebox == 'true' ){
								$out .= '<div class="meta-sharebox"><i class="la la-share-alt"></i>';
									$out .= RimaSharebox(get_the_ID(), false);
								$out .= '</div>';
							}
							if( (comments_open() && $display_comments == 'true') || (function_exists('RimaSharebox') && $display_sharebox == 'true') ){
								$out .= '</div>';
							}
							if( $show_readmore == 'true' ){
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
							}
							$out .= '</div>';
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				}
			}
			$out .= '</div>';
			if( $pagination == 'true' || $pagination == 'standard' ) {
				$out .= '<div id="pagination">'.rima_custom_pagination().'</div>';
			}
		}
		echo ''.$out;
?>