<?php
	$thumbsize = 'large';
	if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none'){
		$thumbsize = 'post-thumbnail';
	}
?>
<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12 post-featured'); ?>>
	<div class="post-content-container aligncenter">
		<div class="post-content">
			<div class="meta-over-img">
				<?php if( !rwmb_meta( 'rima_display_post_header') && get_theme_mod('rima_display_post_date', 'true') == 'true' ){ ?>
					<div class="meta-date two-dots"><time><?php the_time(get_option('date_format')); ?></time></div>
				<?php } ?>
					<header class="title">
						<h2><a href="<?php the_permalink(); ?>" title="<?php esc_html_e('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					</header>
			</div>
			<?php if( has_post_thumbnail() ) {?>
				<figure class="post-img"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail($thumbsize); ?></a></figure>
			<?php } ?>
			<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
		</div>
	</div>
</article>