<?php
	$thumbsize = 'large';
	$read_more = '';
	if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none'){
		$thumbsize = 'post-thumbnail';
	}
	if( rima_post_has_more_link( get_the_ID() ) ) {
		$read_more = ' has-read-more';
	}
?>
<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12'.$read_more); ?>>
	<div class="post-content-container aligncenter">
		<?php
			if( !rima_post_has_more_link( get_the_ID() ) || get_theme_mod('rima_disable_featured_image_when_readmore', 'true') == 'false' ) {?>
				<?php if( function_exists('rima_get_post_format_content') ){
					rima_get_post_format_content(true, $thumbsize);
				} else { ?>
					<figure class="post-img"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail($thumbsize); ?></a></figure>
				<?php } ?>
		<?php } ?>
		<div class="post-content">
			<header class="title">
				<?php if( !rwmb_meta( 'rima_display_post_header') && get_theme_mod('rima_display_post_categories', 'true') == 'true' ){ ?>
					<div class="meta-categories"><?php echo get_the_category_list(' '); ?></div>
				<?php } ?>
				<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'rima'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			</header>
			<?php if( rima_post_has_more_link( get_the_ID() ) ) { ?>
				<div class="post-excerpt"><?php the_content(); ?></div>
			<?php } else { ?>
				<div class="post-excerpt"><?php the_excerpt(); ?></div>
			<?php } ?>
			<div class="post-meta"><?php get_template_part( 'templates/blog/meta' ); ?></div>
			<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
		</div>
	</div>
</article>