<header id="side-header-vertical">
	<div class="logo">
		<?php if(get_theme_mod('rima_media_logo','') != "") { ?>
			<a href="<?php echo esc_url(home_url()); ?>/" class="logo_main"><img src="<?php echo esc_url(get_theme_mod('rima_media_logo')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" /></a>
		<?php } else { ?>
			<a href="<?php echo esc_url(home_url()); ?>/" class="logo_text"><?php echo esc_attr(get_bloginfo('name')); ?></a>
		<?php } ?>
	</div>
	<?php
		if( has_nav_menu( 'side_navigation' ) ) { ?>
		<nav id="navigation" class="vertical">
			<ul id="nav" class="menu">
				<?php wp_nav_menu(array('theme_location' => 'side_navigation', 'depth'=>1, 'container' => false, 'menu_id' => 'nav', 'items_wrap'=>'%3$s', 'fallback_cb' => false)); ?>
			</ul>
		</nav>
	<?php } ?>
	<div class="search-link">
		<form action="<?php echo esc_url(home_url('/')); ?>" id="header-searchform" method="get">
	        <input type="text" id="header-s" name="s" value="" autocomplete="off" />
	        <button type="submit"><i class="fa fa-search"></i></button>
		</form>
	</div>
</header>