<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12'); ?>>
	<div class="post-content-container aligncenter">
		
		<header class="title">
			<?php if( !rwmb_meta( 'rima_display_post_header') ){ ?>
				<div class="meta-categories"><?php echo get_the_category_list(' '); ?></div>
			<?php } ?>
			<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'rima'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		</header>
		
		<div class="post-content">
			<?php if( !rima_post_has_more_link( get_the_ID() ) ) {
				if( function_exists('rima_get_post_format_content') ){
					rima_get_post_format_content(true, 'large');
				} else { ?>
					<figure class="post-img"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail('large'); ?></a></figure>
				<?php }
				
			} ?>
			<div class="post-excerpt">
				<?php if( rima_post_has_more_link( get_the_ID() ) ){
					the_content();
				} else {
					the_excerpt();
				} ?>
			</div>
			<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
		</div>
		<?php if( !rwmb_meta( 'rima_display_post_footer') ){ ?>
		<div class="post-meta"><?php get_template_part( 'framework/inc/meta' ); ?></div>
		<?php } else { ?>
		<div class="border-bottom"></div>
		<?php } ?>
	</div>
</article>