<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12'); ?>>
	<div class="post-content-container aligncenter">
		<?php
			if( has_post_thumbnail() && !rima_post_has_more_link( get_the_ID() ) ) {?>
				<figure class="post-img"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail('large'); ?></a></figure>
		<?php } ?>
		<div class="post-content">
			<header class="title">
				<?php if( !rwmb_meta( 'rima_display_post_header') ){ ?>
					<div class="meta-categories"><?php echo get_the_category_list(' '); ?></div>
				<?php } ?>
				<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'rima'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			</header>
			<?php if( rima_post_has_more_link( get_the_ID() ) ) { ?>
				<div class="post-excerpt"><?php the_content(); ?></div>
			<?php } ?>
			<div class="post-meta"><?php get_template_part( 'framework/inc/meta' ); ?></div>
			<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
		</div>
	</div>
</article>