<div class="fullwidth-image fullwidth-image-alt">
	<?php if(get_post_format() == '' || get_post_format() == 'standard' ) { ?>
	<div class="overlay-title">
		<header class="title">
			<?php if( !rwmb_meta( 'rima_display_post_header') ){ ?>
				<div class="meta-categories"><?php echo get_the_category_list(' '); ?></div>
			<?php } ?>
			<h1><?php the_title(); ?></h1>
			<div class="post-meta no-dots-meta">
			<div class="meta-date"><time datetime="<?php echo get_the_date(DATE_W3C); ?>"><?php echo get_the_time(get_option('date_format')); ?></time></div>
			<div class="meta-read"><?php echo rima_calculate_reading_time(); ?></div>
		</header>
	</div>
	<?php } ?>
	<?php
		rima_single_post_format_content();
	?>
</div>
<?php 
$sidebar_pos = rima_get_sidebar_position();
?>
<div id="page-wrap-blog" class="container">
	<div id="content" class="<?php echo esc_attr($sidebar_pos); ?> single">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<article itemscope itemtype="http://schema.org/Article" <?php post_class(); ?>>
					<div class="post-content-container">
						<div class="post-content">
							<div class="post-excerpt">
								<?php the_content(); ?>
							</div>
							<?php wp_link_pages(array('before' =>'<div class="pagination_post aligncenter">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
						</div>
						<div class="post-meta-tags"><span class="meta-tags"><?php the_tags('<i class="fa fa-tags"></i>',', ', ''); ?></span></div>
						<div class="post-meta"><?php get_template_part( 'framework/inc/meta', 'single' ); ?></div>
					</div>
					<?php 
						if ( '' !== get_the_author_meta( 'description' ) ) {
							get_template_part( 'templates/posts/biography' );
						}
						get_template_part( 'templates/posts/single/post-navigation' );

						get_template_part( 'templates/posts/related-posts' );

						if(comments_open()) {
							comments_template();
						} 
					?>
				</article>
				
		<?php endwhile; endif; ?>
	</div>

<?php 
	if( rwmb_meta( 'rima_post_sidebar' ) != 'none' && rwmb_meta( 'rima_post_sidebar' ) != 'default' ){
		get_sidebar();
	} elseif(  rwmb_meta( 'rima_post_sidebar' ) == 'default' && get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' ){
		get_sidebar();
	}
?>
</div>
