<?php

	$prevPost = get_previous_post();
	$nextPost = get_next_post();
	
	if(!empty($prevPost) || !empty($nextPost)) { ?>
	<div id="post-navigation" class="wrapper ">
		
		<div class="prev">
			<?php if(!empty($prevPost)) { $prevURL = get_permalink($prevPost->ID); ?>
			<a class="prev-post-label" href="<?php echo esc_url($prevURL); ?>" >
				<i class="la la-angle-left"></i>
				<div class="prev-post-title">
					<h2><?php echo get_the_title($prevPost->ID); ?></h2>
					<time datetime="<?php echo date(DATE_W3C); ?>"><?php echo get_the_date('', $prevPost->ID); ?></time>
				</div>
			</a>
			<?php } ?>
		</div>
		
		<div class="next">
			<?php if(!empty($nextPost)) { $nextURL = get_permalink($nextPost->ID); ?>
			<a class="next-post-label" href="<?php echo esc_url($nextURL); ?>">
				<div class="next-post-title">
					<h2><?php echo get_the_title($nextPost->ID); ?></h2>
					<time datetime="<?php echo date(DATE_W3C); ?>"><?php echo get_the_date('', $nextPost->ID); ?></time>
				</div>
				<i class="la la-angle-right"></i>
			</a>
			<?php } ?>
		</div>
		
	</div>
<?php } ?>