<?php
/* ------------------------------------------------------------------------ */
/* Define Sidebars */
/* ------------------------------------------------------------------------ */
if(!function_exists('rima_widgets_init')){
	add_action( 'widgets_init', 'rima_widgets_init' );
	function rima_widgets_init(){
		if (function_exists('register_sidebar')) {
			if (get_theme_mod( 'rima_widgets_headings_separator', true ) ) 
				$separator = ' separator';
			else {
				$separator = '';
			}
			/* ------------------------------------------------------------------------ */
			/* Blog Widgets */
			register_sidebar(array(
				'name' => esc_html__('Blog Widgets','rima'),
				'id'   => 'blog-widgets',
				'description'   => esc_html__( 'These are widgets for the Blog sidebar.','rima' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h3 class="widget-title'.$separator.'"><span>',
				'after_title'   => '</span></h3>'
			));
			/* ------------------------------------------------------------------------ */

			/* ------------------------------------------------------------------------ */
			/* Widgetized page content */
			register_sidebar(array(
				'name' => esc_html__('Widgetized page content','rima'),
				'id'   => 'widgetized-page',
				'description'   => esc_html__( 'These are widgets for page template "Page: Widgetized content".','rima' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h2 class="widget_title"><span>',
				'after_title'   => '</span></h3>'
			));
			/* ------------------------------------------------------------------------ */

		}
	}
}
    
?>