<?php get_header(); ?>

<?php 
// Get Blog Layout from Theme Options
if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none'){
	$sidebar_pos = get_theme_mod('rima_sidebar_pos', 'sidebar-right').' span9';
} else {
	$sidebar_pos ='span12';
}
if( !is_active_sidebar('blog-widgets') && get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none') {
	$sidebar_pos .=' no_widgets_sidebar';
}
if(get_theme_mod('rima_home_slider', false)) {
	get_template_part('templates/slider/slider');
} 
$container = get_theme_mod('rima_blog_page_width', 'container');
//end slider output if ?>
<div id="page-wrap-blog" class="<?php echo esc_attr($container); ?>">
	<div id="content" class="<?php echo esc_attr($sidebar_pos); ?>">
		<div class="row">
			<?php 
				switch ( get_theme_mod('rima_blog_page_layout', 'recent_posts') ) {
					case 'grid_posts':
						get_template_part('templates/blog/grid-posts');
						break;
					case 'list_posts':
						get_template_part('templates/blog/list-posts');
						break;
					default:
						get_template_part('templates/blog/recent-posts');
						break;
				}
			?>
		</div>
	</div>

<?php if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none' && is_active_sidebar('blog-widgets') ){
		get_sidebar();
	} 
?>
</div>

<?php get_footer(); ?>