<?php
/*
Template Name: Page: Widgetized content
*/
?>

<?php get_header(); ?>

<div id="page-wrap">
	<div id="content">
		<?php if( is_active_sidebar( 'widgetized-page' ) ) : ?>
			<div class="widgetized-page-content">
				<?php dynamic_sidebar( 'widgetized-page' ); ?>
			</div>
		<?php endif; ?>
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="entry">
					<?php the_content(); ?>
					<?php wp_link_pages(array('before' =>'<div class="pagination_post aligncenter">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
				</div>

			</div>

		<?php endwhile; endif; ?>
	</div> <!-- end content -->
	
</div> <!-- end page-wrap -->
	
<?php get_footer(); ?>
