<div id="header-main" class="<?php if( get_theme_mod('rima_fixed_header', true) ) echo 'fixed_header'; ?>">
	<header id="header" class="header4 header6 clearfix">
		<?php if( get_theme_mod('rima_header_search_button', false) ) { ?>
		<div class="search-area">
			<div class="search-area-container">
				<form action="<?php echo esc_url(home_url('/')); ?>" id="header-searchform" method="get">
			        <input type="text" id="header-s" name="s" value="" placeholder="<?php esc_html_e('Search', 'rima'); ?>" autocomplete="off" />
			        <button type="submit"><i class="la la-search"></i></button>
				</form>
			</div>
		</div>
		<?php } ?>
		<div class="<?php echo get_theme_mod('rima_header_grid', 'container'); ?>">
				<div class="span12">
					<div class="logo">
						<?php if(get_theme_mod('rima_media_logo','') != "") { ?>
							<a href="<?php echo esc_url(home_url('/')); ?>" class="logo_main"><img src="<?php echo esc_url(get_theme_mod('rima_media_logo')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" /></a>
						<?php } else { ?>
							<a href="<?php echo esc_url(home_url('/')); ?>" class="logo_text"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a>
						<?php } ?>
					</div>
					<div  id="navigation-block">
						<?php if( has_nav_menu( 'main_navigation' ) ) { ?>
							<?php if(function_exists('wp_megamenu')){
							 	$wpmm_nav_location_settings = get_wpmm_option('main_navigation');
							 	if(!empty($wpmm_nav_location_settings['is_enabled'])){
							 		wp_megamenu(array('theme_location' => 'main_navigation'));
							 	} else { ?>
									<nav id="navigation">
										<ul id="nav" class="menu">
											<?php wp_nav_menu(array('theme_location' => 'main_navigation', 'container' => false, 'menu_id' => 'nav', 'items_wrap'=>'%3$s', 'fallback_cb' => false)); ?>
										</ul>
									</nav>
							 	<?php }
							} else { ?>
							<nav id="navigation">
								<ul id="nav" class="menu">
									<?php wp_nav_menu(array('theme_location' => 'main_navigation', 'container' => false, 'menu_id' => 'nav', 'items_wrap'=>'%3$s', 'fallback_cb' => false)); ?>
								</ul>
							</nav>
						<?php }
							if( get_theme_mod('rima_header_search_button', false) ) { ?>
								<div class="search-link">
									<a href="javascript:void(0);" class="search-button"><i class="fa fa-search"></i></a>
								</div>
							<?php }
					
						} ?>
						
					</div>
					<?php if( get_theme_mod('rima_header_socials', true) && function_exists('rima_get_social_links') ) { rima_get_social_links(); } ?>
				</div>
		</div>
	</header>
</div>