<div id="mobile-header-block">	
	<div class="search-area">
		<div class="search-area-container">
			<form action="<?php echo esc_url(home_url('/')); ?>" id="header-searchform" method="get">
		        <input type="text" id="header-s" name="s" value="" placeholder="<?php esc_html_e('Search', 'rima'); ?>" autocomplete="off" />
		        <button type="submit"><i class="la la-search"></i></button>
			</form>
		</div>
	</div>
	<header id="mobile-header">
		<div>
			<div class="logo">
				<?php if(get_theme_mod('rima_media_logo_mobile','') != "") { ?>
					<a href="<?php echo esc_url(home_url()); ?>/" class="logo_main"><img src="<?php echo esc_url(get_theme_mod('rima_media_logo_mobile')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" /></a>
				<?php } elseif(get_theme_mod('rima_media_logo','') != "") { ?>
					<a href="<?php echo esc_url(home_url()); ?>/" class="logo_main"><img src="<?php echo esc_url(get_theme_mod('rima_media_logo')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" /></a>
				<?php } else { ?>
					<a href="<?php echo esc_url(home_url()); ?>/" class="logo_text"><?php echo esc_attr(get_bloginfo('name')); ?></a>
				<?php } ?>
			</div>
			<div id="dl-menu" class="dl-menuwrapper">
				<?php if( get_theme_mod('rima_header_search_button', false) ) { ?>
					<div class="search-link">
						<a href="javascript:void(0);" class="search-button"><i class="fa fa-search"></i></a>
					</div>
				<?php } ?>
				<button class="dl-trigger"></button>
				<ul id="nav-mobile" class="dl-menu">
					<?php
					if( has_nav_menu('mobile_navigation') ){
						wp_nav_menu(array('theme_location' => 'mobile_navigation', 'container' => false, 'menu_id' => 'nav-mobile', 'items_wrap'=>'%3$s', 'fallback_cb' => false, 'walker' => new Rima_Mobile_Walker_Nav_Menu()));
					} ?>
					<?php
					if( get_theme_mod('rima_subscribe_url','') != '' ){
						echo '<li class="subscribe-link"><a href="'.get_theme_mod('rima_subscribe_url','').'">'.esc_html__('Subscribe', 'rima').'</a>';
					} ?>
				</ul>
			</div>
		</div>
	</header>
</div>