<?php
	    global $post;
	    $columns = get_theme_mod('rima_search_page_columns', 'span6');
	    $post_style = get_theme_mod('rima_search_post_style', 'style_1');
	    $pagination = get_theme_mod('rima_search_display_post_pagination', 'standard');
	    $show_comments = get_theme_mod('rima_search_post_comments', 'true');
	    $show_categories = get_theme_mod('rima_search_post_categories', 'true');
	    $show_timeread = get_theme_mod('rima_search_post_readtime', 'true');
	    $show_sharebox = get_theme_mod('rima_search_post_sharebox', 'true');
	    $show_read_more = get_theme_mod('rima_search_post_readmore', 'true');
	    $excerpt_count = get_theme_mod('rima_search_excerpt_count', '17');
	    $thumbsize = get_theme_mod('rima_search_page_thumbsize', 'post-thumbnail');
	    $thumbsize = 'post-thumbnail';
	    $text_align = 'textcenter';
	    $accent_color = "";
	    $meta_block_color = "";
		$color_st = '';
		if($accent_color != '' ){
			$color_st .= '.post.style_3 .title.hr-sep {color:'.$accent_color.'}';
			$color_st .= '.post.style_3 .meta-comment > a, .post.style_3 .meta-sharebox { background-color:'.$accent_color.'; border-color:transparent;}';
		}
		if( $meta_block_color != '' ){
			$color_st .= '.post.style_3 .meta-comment > a, .post.style_3 .meta-sharebox { color:'.$meta_block_color.';}';
		}
		if( $color_st != '' ){
			wp_register_style( 'rima-shortcodes-style', false );
			wp_enqueue_style( 'rima-shortcodes-style' );
			wp_add_inline_style('rima-shortcodes-style', $color_st);
		}
		static $post_section_id = 0;
		$out = '';
		++$post_section_id;
		if( have_posts() ) {
			$out .= '<div id="latest-posts">';
			$out .= '<div id="blog-posts-'.$post_section_id.'" class="row-fluid blog-posts">';
			while ( have_posts() ) {
				the_post();
				$tmpContent = get_the_content();
				$classes = join(' ', get_post_class($post->ID));
				$classes .= ' post';
				if( rima_post_has_more_link( $post->ID ) ){
					$classes .= ' has-read-more';
				}
				if(is_sticky() && $post_style != 'style_2' && strpos($classes, 'sticky')){
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="span12 style_1 '.$classes.'">';
					$out .= '<div class="post-content-container '.$text_align.'">';
						$out .= '<header class="title">';
						if( !rwmb_meta( 'rima_display_post_header') ){
							if( $show_categories == 'true'){
								$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
							}
						}
						$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
						$out .= '</header>';
					$out .= '<div class="post-content">';
						if( !rima_post_has_more_link( get_the_ID()) || get_theme_mod('rima_disable_featured_image_when_readmore', 'true') == 'false' ) {
							if( $pagination == 'true' ){
								if( has_post_thumbnail() ){
									$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
								}
							} else {
								$out .= rima_get_post_format_content(false, 'rima-slider');
							}
						} else {
							$out .= '<p></p>';
						}
						if( rima_post_has_more_link( get_the_ID() ) ){
							$out .= '<div class="post-excerpt">'.rima_get_the_content().'</div>';
						} else {
							$out .= '<div class="post-excerpt">'.get_the_excerpt().'</div>';
						}
						$out .= '</div>';
						if( !rwmb_meta( 'rima_display_post_footer') ){
							$out .= '<div class="post-meta">';
								$out .= '<div class="meta meta-date">'.get_the_date().'</div>';
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
								$out .= RimaSharebox( get_the_ID() );
							$out .= '</div>';
						}
					$out .= '</div>';
				$out .= '</article>';
				} else if( is_sticky() && $post_style == 'style_2'){
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="span12 '.$post_style.' '.$classes.'">';
					$out .= '<div class="post-content-container '.$text_align.'">';
					if( $pagination == 'true' ){
						if( has_post_thumbnail() ){
							$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
						}
					} else {
						$out .= rima_get_post_format_content(false, 'rima-slider');
					}
					$out .= '<div class="post-content">';
						$out .= '<header class="title">';
						if( !rwmb_meta( 'rima_display_post_header') ){
							if( $show_categories == 'true'){
								$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
							}
						}
						$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
						$out .= '</header>';
						if( $excerpt_count > 0 ){
							$out .= '<div class="post-excerpt">'.RimaExcerpt($excerpt_count).'</div>';
						}
						if( !rwmb_meta( 'rima_display_post_footer') ){
							$out .= '<div class="post-meta">';
								$out .= '<div class="meta meta-date">'.get_the_date().'</div>';
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
								$out .= RimaSharebox( get_the_ID() );
							$out .= '</div>';
						}
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</article>';
				} elseif( get_theme_mod('rima_display_post_featured', 'true') == 'true' && rwmb_meta('rima_post_featured') && has_post_thumbnail() ){
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="post-featured span12 '.$classes.'">';
						$out .= '<div class="post-content-container '.$text_align.'">';						
						$out .= '<div class="post-content">';
							$out .= '<div class="meta-over-img">';
							if( !rwmb_meta( 'rima_display_post_header') ){
								if( $show_categories == 'true'){
									$out .= '<div class="meta-date two-dots"><time datetime="'.get_the_date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
								}
							}
							$out .= '<header class="title">';
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
							$out .= '</div>';
							if( has_post_thumbnail() ) {
								$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, 'rima-slider').'</a></figure>';
							}
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				} elseif( $post_style == 'style_3') {
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="post-size '.$columns.' '.$post_style.' '.$classes.'">';
						$out .= '<div class="post-content-container '.$text_align.'">';
							if( $pagination == 'true' ){
								if( has_post_thumbnail() ){
									$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
								}
							} else {
								$out .= rima_get_post_format_content(false, $thumbsize);
							}
							$out .= '<div class="post-content">';
							$out .= '<header class="title hr-sep">';
							if( !rwmb_meta( 'rima_display_post_header') ){
								if( $show_categories == 'true'){
									$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
								}
							}
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
							if( $excerpt_count > 0 ){
								$out .= '<div class="post-excerpt">'.RimaExcerpt($excerpt_count).'</div>';
							}
							$out .= '</div>';
							$out .= '<div class="post-meta footer-meta disable-lines">';
							if( comments_open() && $show_comments == 'true' ){ 
								$out .= '<div class="meta-comment">'.RimaCommentsNumber( get_the_ID() ).'</div>';
							}
							if( function_exists('RimaSharebox') && $show_sharebox == 'true' ){
								$out .= '<div class="meta-sharebox"><i class="la la-share-alt"></i>';
									$out .= RimaSharebox(get_the_ID(), false);
								$out .= '</div>';
							}
							if( $show_read_more == 'true' ){
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
							}
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				} elseif( $post_style == 'style_4') {
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="post-size '.$columns.' '.$post_style.' '.$classes.'">';
						$out .= '<div class="post-content-container '.$text_align.'">';
							if( $pagination == 'true' ){
								if( has_post_thumbnail() ){
									$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
								}
							} else {
								$out .= rima_get_post_format_content(false, $thumbsize);
							}
							$out .= '<div class="post-content">';
							$out .= '<div class="post-meta no-dots-meta">';
							$out .= '<div class="meta-date"><time datetime="'.get_the_date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
							if( $show_categories == 'true'){
								$out .= '<div class="categories">'.get_the_category_list(' ').'</div>';
							}
							$out .= '</div>';
							$out .= '<header class="title no-sep">';
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
							if( $excerpt_count > 0 ){
								$out .= '<div class="post-excerpt">'.RimaExcerpt($excerpt_count).'</div>';
							}
							$out .= '</div>';
							$out .= '<div class="post-meta footer-meta disable-lines">';
							if( comments_open() && $show_comments == 'true' ){ 
								$out .= '<div class="meta-comment">'.RimaCommentsNumber( get_the_ID() ).'</div>';
							}
							if( function_exists('RimaSharebox') && $show_sharebox == 'true' ){
								$out .= '<div class="meta-sharebox"><i class="la la-share-alt"></i>';
									$out .= RimaSharebox(get_the_ID(), false);
								$out .= '</div>';
							}
							if( $show_read_more == 'true' ){
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
							}
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				} elseif( $post_style == 'style_5') {
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="post-size '.$columns.' '.$post_style.' '.$classes.'">';
						$out .= '<div class="post-content-container '.$text_align.'">';
							if( $pagination == 'true' ){
								if( has_post_thumbnail() ){
									$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
								}
							} else {
								$out .= rima_get_post_format_content(false, $thumbsize);
							}
							$out .= '<div class="post-content">';
							$out .= '<header class="title no-sep">';
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
							$out .= '<div class="post-meta no-dots-meta">';
							$out .= '<div class="meta-date"><time datetime="'.get_the_date(DATE_W3C).'">'.get_the_time(get_option('date_format')).'</time></div>';
							if( $show_timeread == 'true'){
								$out .= '<div class="meta-read">'.rima_calculate_reading_time().'</div>';
							}
							$out .= '</div>';
							if( $excerpt_count > 0 ){
								$out .= '<div class="post-excerpt">'.RimaExcerpt($excerpt_count).'</div>';
							}
							$out .= '</div>';
							$out .= '<div class="post-meta footer-meta disable-lines">';
							if( comments_open() && $show_comments == 'true' ){ 
								$out .= '<div class="meta-comment">'.RimaCommentsNumber( get_the_ID() ).'</div>';
							}
							if( function_exists('RimaSharebox') && $show_sharebox == 'true' ){
								$out .= '<div class="meta-sharebox"><i class="la la-share-alt"></i>';
									$out .= RimaSharebox(get_the_ID(), false);
								$out .= '</div>';
							}
							if( $show_read_more == 'true' ){
								$out .= '<div class="post-more"><a href="'.esc_url(get_the_permalink()).'" class="button" rel="bookmark">'.esc_html__('Read more', 'rima').'</a></div>';
							}
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</article>';
				} else {
					$classes = str_replace('sticky ', '', $classes);
					$out .= '<article itemscope itemtype="http://schema.org/Article" class="post-size '.$columns.' '.$post_style.' '.$classes.'">';
						$out .= '<div class="post-content-container '.$text_align.'">';
							if( $pagination == 'true' ){
								if( has_post_thumbnail() ){
									$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
								}
							} else {
								$out .= rima_get_post_format_content(false, $thumbsize);
							}
							$out .= '<div class="post-content">';
							$out .= '<header class="title">';
							if( !rwmb_meta( 'rima_display_post_header') ){
								if( $show_categories == 'true'){
									$out .= '<div class="meta-categories">'.get_the_category_list(' ').'</div>';
								}
							}
							$out .= '<h2 itemprop="headline"><a href="'.get_the_permalink().'" title="'.esc_html__('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.get_the_title().'</a></h2>';
							$out .= '</header>';
							if( $excerpt_count > 0 ){
								$out .= '<div class="post-excerpt">'.RimaExcerpt($excerpt_count).'</div>';
							}
							$out .= '</div>';
							if( $show_sharebox == 'true' ){
								$out .= RimaSharebox(get_the_ID(), false);
							}
						$out .= '</div>';
					$out .= '</article>';
				}

			}
			$out .= '</div>';
		}
		if( $pagination == 'true' && get_next_posts_link() ) {
			$out .= '<div id="pagination" class="hide">'.get_next_posts_link().'</div>';
			$out .= '<div class="loadmore-container"><a href="#" class="loadmore button"><span>'.esc_html__('Load More', 'rima').'</span></a></div>';
		} elseif($pagination == 'standard') {
			$out .= '<div id="pagination">'.rima_custom_pagination().'</div>';
		}
		$out .= '<div class="mb35"></div>';
		$out .= '</div>';
	echo ''.$out;
?>