<?php 
$thumbsize = 'large';
$read_more = '';
if(get_theme_mod('rima_sidebar_pos', 'sidebar-right') != 'none'){
	$thumbsize = 'post-thumbnail';
}
if (have_posts()) : 
while (have_posts()) : 
	the_post(); 
	if( rima_post_has_more_link( get_the_ID() ) ) {
		$read_more = ' has-read-more';
	}
	if( rwmb_meta('rima_post_featured') && get_theme_mod('rima_display_post_featured', 'true')=='true' && has_post_thumbnail() ){ ?>
		<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12 post-featured'); ?>>
			<div class="post-content-container aligncenter">
				<div class="post-content">
					<div class="meta-over-img">
						<?php if( !rwmb_meta( 'rima_display_post_header') && get_theme_mod('rima_display_post_date', 'true') == 'true' ){ ?>
							<div class="meta-date two-dots"><time><?php the_time(get_option('date_format')); ?></time></div>
						<?php } ?>
							<header class="title">
								<h2><a href="<?php the_permalink(); ?>" title="<?php esc_html_e('Permalink to', 'rima').' '.esc_attr(the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
							</header>
					</div>
					<?php if( has_post_thumbnail() ) {?>
						<figure class="post-img"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail($thumbsize); ?></a></figure>
					<?php } ?>
					<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
				</div>
			</div>
		</article>
	<?php } else { ?>
		<article itemscope itemtype="http://schema.org/Article" <?php post_class('post span12'.$read_more); ?>>
			<div class="post-content-container aligncenter">
				
				<header class="title">
					<?php if( !rwmb_meta( 'rima_display_post_header') && get_theme_mod('rima_display_post_categories', 'true') == 'true'){ ?>
						<div class="meta-categories"><?php echo get_the_category_list(' '); ?></div>
					<?php } ?>
					<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'rima'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				</header>
				
				<div class="post-content">
					<?php if( !rima_post_has_more_link( get_the_ID() ) || get_theme_mod('rima_disable_featured_image_when_readmore', 'true') == 'false') {
						if( function_exists('rima_get_post_format_content') ){
							rima_get_post_format_content(true, $thumbsize);
						} else { ?>
							<figure class="post-img"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail($thumbsize); ?></a></figure>
						<?php }
						
					} ?>
					<div class="post-excerpt">
						<?php if( rima_post_has_more_link( get_the_ID() ) ){
							the_content();
						} else {
							the_excerpt();
						} ?>
					</div>
					<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>%</span>')); ?>
				</div>
				<?php if( !rwmb_meta( 'rima_display_post_footer') ){ ?>
				<div class="post-meta"><?php get_template_part( 'templates/blog/meta' ); ?></div>
				<?php } else { ?>
				<div class="border-bottom"></div>
				<?php } ?>
			</div>
		</article>
	<?php }

endwhile;

echo '<div class="clearfix"></div>';

get_template_part( 'framework/inc/nav' ); 
?>
	
<?php else : ?>
	
	<h2><?php esc_html_e('Not Found', 'rima') ?></h2>
	
<?php endif; ?>